/* D-RexGxt - D-RexGxt - GUI Design Tool for GWT
 * Copyright (c) 2008,  KPS Corporation
 * All rights reserved.
 *
 * Open Source License
 * ------------------------------------------------------------------------------------------
 * D-RexGxt is licensed under the terms of the Open Source GPL 3.0 license.
 *
 * http://www.gnu.org/licenses/gpl.html
 *
 * --
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */
package jp.co.kpscorp.gwt.client.design.gxt.widget;

import com.extjs.gxt.ui.client.Style.HorizontalAlignment;
import com.extjs.gxt.ui.client.Style.VerticalAlignment;
import com.extjs.gxt.ui.client.widget.Component;
import com.extjs.gxt.ui.client.widget.layout.TableData;

public class TableDataWidget extends LayoutDataWidget {
	private TableData data;

	public TableDataWidget(TableData data, Component parent) {
		super(data, parent);
		this.data = data;
	}

	public int getColspan() {
		return data.getColspan();
	}

	public String getHeight() {
		return data.getHeight();
	}

	public HorizontalAlignment getHorizontalAlign() {
		return data.getHorizontalAlign();
	}

	public int getMargin() {
		return data.getMargin();
	}

	public int getPadding() {
		return data.getPadding();
	}

	public String getStyle() {
		return data.getStyle();
	}

	public String getStyleName() {
		return data.getStyleName();
	}

	public VerticalAlignment getVerticalAlign() {
		return data.getVerticalAlign();
	}

	public String getWidth() {
		return data.getWidth();
	}

	public void setColspan(int colspan) {
		data.setColspan(colspan);
	}

	public void setHeight(String height) {
		data.setHeight(height);
	}

	public void setHorizontalAlign(HorizontalAlignment horizontalAlign) {
		data.setHorizontalAlign(horizontalAlign);
	}

	public void setMargin(int margin) {
		data.setMargin(margin);
	}

	public void setPadding(int padding) {
		data.setPadding(padding);
	}

	public void setStyle(String style) {
		data.setStyle(style);
	}

	public void setStyleName(String style) {
		data.setStyleName(style);
	}

	public void setVerticalAlign(VerticalAlignment verticalAlign) {
		data.setVerticalAlign(verticalAlign);
	}

	public void setWidth(String width) {
		data.setWidth(width);
	}

}
